jQuery(document).ready(function($) {
    $('#generate-video').on('click', function() {
        const $button = $(this);
        const videoType = $('#fliz_video_type').val();
        const videoFormat = $('#fliz_video_format').val();
        const postId = $('#post_ID').val();

        $button.prop('disabled', true);
        $button.text('Génération en cours...');

        $.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                action: 'fliz_generate_video',
                post_id: postId,
                video_type: videoType,
                video_format: videoFormat,
                nonce: flizAdmin.nonce
            },
            success: function(response) {
                if (response.success) {
                    location.reload();
                } else {
                    alert(response.data);
                    $button.prop('disabled', false);
                    $button.text('Générer une vidéo');
                }
            },
            error: function() {
                alert('Erreur lors de la génération de la vidéo');
                $button.prop('disabled', false);
                $button.text('Générer une vidéo');
            }
        });
    });
}); 